package com.geronimolive.gcal.model;

import java.util.Date;

public class Event {
    
    private static final long serialVersionUID = 3690478008872022072L;

    private Long id;
    private String description;
    private boolean eventPublic;
    private Date startDateTime;
    private Date endDateTime;
    private String link;
    
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getStartDateTime() {
        return startDateTime;
    }

    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    public Date getEndDateTime() {
        return endDateTime;
    }

    public void setEndDateTime(Date endDatetime) {
        this.endDateTime = endDatetime;
    }

    public boolean isEventPublic() {
        return eventPublic;
    }

    public void setEventPublic(boolean isPublic) {
        this.eventPublic = isPublic;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String toString() {
        return "Event " + getId() + ", description: " + getDescription();
    }

    /**
     * Returns true of this object equals the other parameter object.
     * This method takes advantage of the fact that the id attribute
     * uniquely identifies Event objects.
     */
    public boolean equals(Object other) {
        if (!(other instanceof Event)) {
            return false;
        }
        return ((Event) other).getId().longValue() == getId().longValue();
    }

    /**
     * Return a hashcode of this object equal to the hashcode of the 
     * Long id attribute. The id is unique per Event, so hashcode equality
     * should follow.
     */
    public int hashCode() {
        return getId().hashCode();
    }

}
