package com.geronimolive.gcal.ws;

import com.geronimolive.gcal.dao.EventDAO;
import com.geronimolive.gcal.dao.EventDAOMemory;
import com.geronimolive.gcal.model.Event;
import com.geronimolive.gcal.service.DefaultEventManager;
import com.geronimolive.gcal.service.EventManager;

import java.util.List;

/**
 * 
 * @web.servlet 
 *     name="Event web service"
 *     service-endpoint-package="com.geronimolive.gcal.ws"
 * @web.servlet-mapping url-pattern="/event"
 * 
 * @wsee.port-component 
 *     name="EventService"
 *     namespace-uri="http://ws.gcal.geronimolive.com"
 *     local-part="EventService" 
 *     display-name="EventServiceJSE"
 *     description="A web service for accessing calendar events"
 * @author Tom McQueeney
 */
public class EventServiceWS implements EventService {

    private EventManager eventManager;
    
    
    // HOPEFULLY TEMP CODE:
    public EventServiceWS() {
        EventDAO dao = new EventDAOMemory();
        eventManager = new DefaultEventManager();
        eventManager.setEventDAO(dao);
    }
    
    public Event[] getEvents() {
        List eventsList = eventManager.getEvents();
        return (Event[]) eventsList.toArray(new Event[eventsList.size()]);
    }

    public Event getEvent(long eventId) {
        return eventManager.getEvent(String.valueOf(eventId));
    }

    public void saveEvent(Event event) {
        eventManager.saveEvent(event);
    }

    public void removeEvent(long eventId) {
        eventManager.removeEvent(String.valueOf(eventId));
    }

}
